Subject: Re: bug#51954: 29.0.50; puny-encode doesn't normalize

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 19 Nov 2021 08:50:31 +0100

Eli Zaretskii <[email-masked]> writes:

> Isn't ucs-normalize used for accessing files on macOS?  Their
> file-coding-system uses normalization.

I grepped through the code base but couldn't find any usage of those
functions.  (But on Macos we preload ucs-normalize.)

> In any case, I wouldn't remove the autoloads: they are harmless, but
> removing them could cause breakage.

I found it confusing to have all these unused functions autoloaded, but
if there's actually any usage out there, I hope people will complain,
and we can put them back in.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no